package xyz.thastertyn.UserInterface.Content;


import java.io.IOException;
import java.util.ArrayList;

import com.googlecode.lanterna.gui2.GridLayout;
import com.googlecode.lanterna.gui2.Label;
import com.googlecode.lanterna.gui2.Panel;

import xyz.thastertyn.Types.Choice;
import xyz.thastertyn.UserInterface.UpdateListener;

public class Sdeleni extends JecnaContent {
	
	private Panel sdeleniPanel = new Panel();
	private Label borderLabel = new Label("Sdeleni R.");

	private xyz.thastertyn.Scrape.Sdeleni sdeleni = new xyz.thastertyn.Scrape.Sdeleni();
	
	public Sdeleni(UpdateListener listener)
	{
		super(listener);
		super.mainPanel = this.mainPanel;
		super.borderLabel = this.borderLabel;
		super.scraper = this.sdeleni;
	}

	@Override
	public void downloadDefault() throws IOException
	{
		download(null);
	}

	@Override
	protected void download(Choice choice) throws IOException
	{
		sdeleni = new xyz.thastertyn.Scrape.Sdeleni();
		if(choice != null)
		{
			sdeleni.download(choice);
			setGUI();
			listener.updatePanel();
		}else{
			sdeleni.download();
			setGUI();
		}

		super.hasStarted = true;
	}

	@Override
	protected void setGUI()
	{
		sdeleniPanel.setLayoutManager(new GridLayout(1)
			.setLeftMarginSize(1)
			.setRightMarginSize(1));

		ArrayList<String> sdeleniList = sdeleni.getSdeleni();

		sdeleniList.forEach(s -> sdeleniPanel.addComponent(new Label(s)));
	}
}
